Subject: Julio Diaz comments on parallel prefix operators

From: "Rex Page" <[email-masked]>
Date: Mon, 29 Jun 92 14:48:47 -0500

Forwarding a note from Julio Diaz:

Date: Mon, 29 Jun 1992 14:21:15 -0500
From: "J. C. Diaz" <[email-masked]>
Message-Id: <[email-masked]>
To: [email-masked]
Subject: Re:  parallel prefix operators for HPF

Rex;
I had a look at the proposal by Demmel about parallel prefix operators for HPF.
I do question the need for it as a required intrinsic in the language.
As it is presented in the Draft that you provided me, it looks that it does not
have a wide applicability.  On the one hand the users requiring to solve a
two term recurrence are but a fraction of the community.  On the other hand
I can see why it would be good for a SIMD architecture such as the CM2.
But, I do not think this would be a good operation for distributed processing.
I have talked to some others leading researchers on the same filed of
numerical eigensystem crunching, and they agreed with me.
Pehaps, it could be made into a vendor option.
Please let me know if you have any other questions.
Thanks.
JCD